#if v2_56_0
using Adaptation.Shared;
using Adaptation.Shared.Methods;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Diagnostics;
using System.Reflection;

namespace Adaptation._Tests.Extract.Staging.v2_56_0;

[TestClass]
public class BIORAD3
{

#pragma warning disable CA2254
#pragma warning disable IDE0060

    private static CreateSelfDescription.Staging.v2_56_0.BIORAD3 _BIORAD3;

    [ClassInitialize]
    public static void ClassInitialize(TestContext testContext)
    {
        CreateSelfDescription.Staging.v2_56_0.BIORAD3.ClassInitialize(testContext);
        _BIORAD3 = CreateSelfDescription.Staging.v2_56_0.BIORAD3.EAFLoggingUnitTesting;
    }

    private static void NonThrowTryCatch()
    {
        try
        { throw new Exception(); }
        catch (Exception) { }
    }

    [Ignore]
    [TestMethod]
    public void Staging__v2_56_0__BIORAD3__QS408M() => _BIORAD3.Staging__v2_56_0__BIORAD3__QS408M();

    [Ignore]
    [TestMethod]
    public void Staging__v2_56_0__BIORAD3__QS408M637406016892454000__ReactorAndRDS()
    {
        DateTime dateTime;
        string check = "*.txt";
        bool validatePDSF = false;
        _BIORAD3.Staging__v2_56_0__BIORAD3__QS408M();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _BIORAD3.AdaptationTesting.GetVariables(methodBase, check);
        IFileRead fileRead = _BIORAD3.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Logistics logistics = new(fileRead);
        dateTime = FileHandlers.QS408M.ProcessData.GetDateTime(logistics, tickOffset: 0, dateTimeText: string.Empty);
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
        dateTime = FileHandlers.QS408M.ProcessData.GetDateTime(logistics, tickOffset: 0, dateTimeText: "Tue Nov 10 12:03:56 1970");
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
        _ = Shared.AdaptationTesting.ReExtractCompareUpdatePassDirectory(variables, fileRead, logistics, validatePDSF);
        NonThrowTryCatch();
    }

    [Ignore]
    [TestMethod]
    public void Staging__v2_56_0__BIORAD3__QS408M638227775101723135__Error()
    {
        DateTime dateTime;
        string check = "*.txt";
        bool validatePDSF = false;
        _BIORAD3.Staging__v2_56_0__BIORAD3__QS408M();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _BIORAD3.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _BIORAD3.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Logistics logistics = new(fileRead);
        dateTime = FileHandlers.QS408M.ProcessData.GetDateTime(logistics, tickOffset: 0, dateTimeText: string.Empty);
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
        dateTime = FileHandlers.QS408M.ProcessData.GetDateTime(logistics, tickOffset: 0, dateTimeText: "Tue Nov 10 12:03:56 1970");
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
        _ = Shared.AdaptationTesting.ReExtractCompareUpdatePassDirectory(variables, fileRead, logistics, validatePDSF);
        NonThrowTryCatch();
    }

}
#endif